Get a container
curl --request GET \
--url https://api.terminal49.com/v2/containers/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/containers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/containers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "55a700e4-7005-45a9-92fd-1ff38641dbd9",
"type": "container",
"attributes": {
"number": "CAIU7432986",
"seal_number": null,
"created_at": "2024-06-26T15:05:21Z",
"ref_numbers": [],
"pod_arrived_at": null,
"pod_discharged_at": "2024-06-22T04:00:00Z",
"final_destination_full_out_at": null,
"holds_at_pod_terminal": [],
"available_for_pickup": true,
"equipment_type": "dry",
"equipment_length": 40,
"equipment_height": "high_cube",
"weight_in_lbs": null,
"pod_full_out_at": null,
"empty_terminated_at": null,
"terminal_checked_at": "2024-06-26T17:51:12Z",
"fees_at_pod_terminal": [],
"pickup_lfd": "2024-07-07T04:00:00Z",
"pickup_appointment_at": null,
"pod_full_out_chassis_number": null,
"location_at_pod_terminal": "Yard - Y0709A",
"pod_last_tracking_request_at": "2024-06-26T17:51:12Z",
"shipment_last_tracking_request_at": "2024-06-26T15:05:20Z",
"availability_known": true,
"pod_timezone": "America/New_York",
"final_destination_timezone": "US/Eastern",
"empty_terminated_timezone": "US/Eastern",
"pod_rail_carrier_scac": "CSXT",
"ind_rail_carrier_scac": "CSXT",
"pod_rail_loaded_at": null,
"pod_rail_departed_at": null,
"ind_eta_at": null,
"ind_ata_at": null,
"ind_rail_unloaded_at": null,
"ind_facility_lfd_on": null,
"import_deadlines": {
"pickup_lfd_terminal": "2024-07-07T04:00:00Z",
"pickup_lfd_rail": null,
"pickup_lfd_line": "2024-07-07T04:00:00Z"
},
"current_status": "available"
},
"relationships": {
"shipment": {
"data": {
"id": "02b1bd6f-407c-45bb-8645-06e7ee34e7e3",
"type": "shipment"
}
},
"pickup_facility": {
"data": null
},
"pod_terminal": {
"data": {
"id": "b859f5c3-8515-41da-bf20-39c0a5ada887",
"type": "terminal"
}
},
"transport_events": {
"data": [
{
"id": "45b542cb-332b-4684-b915-42e3a0759823",
"type": "transport_event"
},
{
"id": "174ed528-a1a9-4002-aef0-f2c9369199da",
"type": "transport_event"
},
{
"id": "7a2f30a6-a756-4c14-9477-fbfc1c7fe2f8",
"type": "transport_event"
},
{
"id": "e7365004-175a-46e8-96cd-dbed0f3daf21",
"type": "transport_event"
},
{
"id": "7c567bf3-7f01-4a3d-a176-eaa1f7165585",
"type": "transport_event"
}
]
},
"raw_events": {
"data": [
{
"id": "2956f71c-bfb9-4e49-b9e2-1b4d53c74cac",
"type": "raw_event"
},
{
"id": "391e0eda-65b5-4fc3-a53d-25ecd9570259",
"type": "raw_event"
},
{
"id": "74810c04-6c8a-4194-8cff-52936584a965",
"type": "raw_event"
},
{
"id": "4b1500e2-b23b-4896-87bd-c38b1d16f385",
"type": "raw_event"
},
{
"id": "8b9a7d88-720a-4304-8c1e-a3336e39f481",
"type": "raw_event"
},
{
"id": "bf1f59c5-5dd8-4013-87f9-d7056bc87114",
"type": "raw_event"
}
]
}
}
},
"links": {
"self": "https://api.terminal49.com/v2/containers/55a700e4-7005-45a9-92fd-1ff38641dbd9"
}
}Containers
Get a container
Retrieve a single container’s full record from the Terminal49 API, including status, holds, fees, and last free day, using its container resource ID.
GET
/
containers
/
{id}
Get a container
Authorizations
Use a Terminal49 API key in the Authorization header with the Token prefix.
Authorization: Token YOUR_API_KEY
Path Parameters
Query Parameters
Comma delimited list of relations to include
Was this page helpful?
⌘I